
Redmine - Defect #3759

Missing repository on some changesets

2009-08-19 19:10 - Eric Davis

Status: Closed Start date: 2009-08-19

Priority: High Due date:  

Assignee: Eric Davis % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I'm not sure if this is caused by r2840 or not, but I've got a few changesets with the repository id of 0.  When they are associated with

an issue, a no method error occurs due to the "Associated Revisions" div.  Deleting and rescanning the git repository still loaded the

data incorrectly.  I've reproduced this on r2845 with my data but I won't have time to debug it until later.

Exception

A ActionView::TemplateError occurred in issues#show:

  undefined method `project' for nil:NilClass

  On line #4 of app/views/issues/_changesets.rhtml

    1: <% changesets.each do |changeset| %>

    2:     <div class="changeset <%= cycle('odd', 'even') %>">

    3:     <p><%= link_to("#{l(:label_revision)} #{changeset.revision}",

    4:                 :controller => 'repositories', :action => 'revision', :id => changeset.proj

ect, :rev => changeset.revision) %><br />

    5:         <span class="author"><%= authoring(changeset.committed_on, changeset.author) %></sp

an></p>

    6:     <%= textilizable(changeset, :comments) %>

    7:     </div>

    app/models/changeset.rb:58:in `project'

    app/views/issues/_changesets.rhtml:4

 

Data

>> c= Changeset.find(20693)

  Changeset Load (0.1ms)   SELECT * FROM `changesets` WHERE (`changesets`.`id` = 20693) 

=> #<Changeset id: 20693, repository_id: 0, revision: "e01fd4b76c1701b9d187f738b211bdfa4bf497f4", 

committer: "Eric Davis <edavis@...com>", committed_on: "2009-03-24 20:36:26", comments: "Added Hun

garian translation from Gergő Jónás. #2...", commit_date: "2009-03-24", scmid: "e01fd4b76c1701b9d1

87f738b211bdfa4bf497f4", user_id: 1>

History

#1 - 2010-02-22 20:59 - L Philbrook

seems to still be an issue r3279

#2 - 2010-03-08 21:34 - L Philbrook

L Brook wrote:

seems to still be an issue r3279

 Sorry it was not due to the problem above, but duplicate changesets.  Sorry about that

#3 - 2010-10-16 01:37 - Eric Davis

- Status changed from 7 to Closed

- Resolution set to Cant reproduce
https://www.redmine.org/projects/redmine/repository/svn/revisions/2840
https://www.redmine.org/projects/redmine/repository/svn/revisions/2845
https://www.redmine.org/projects/redmine/repository/svn/revisions/3279
https://www.redmine.org/projects/redmine/repository/svn/revisions/3279


Haven't seen this reoccur since I opened it.  Might have been a data issue on my end.
